Bug 459460 - kernel: cpufreq: fix format string bug [rhel-5.3]
kernel: cpufreq: fix format string bug [rhel-5.3]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
: ZStream
Depends On: 459459
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 02:12 EDT by Eugene Teo (Security Response)
Modified: 2009-01-20 15:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-19 02:12:25 EDT
+++ This bug was initially created as a clone of Bug #459459 +++

Description of problem:
Format string bug. Not exploitable, as this is only writable by root.

--- Additional comment from eteo@redhat.com on 2008-08-19 02:04:15 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=326f6a5c9c9e1a62aec37bdc0c3f8d53adabe77b

--- Additional comment from eteo@redhat.com on 2008-08-19 02:05:32 EDT ---

Created an attachment (id=314511)
Upstream patch for this issue
Comment 1 Don Zickus 2008-09-09 17:16:48 EDT
in kernel-2.6.18-109.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 5 errata-xmlrpc 2009-01-20 15:26:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.